1. APIs
SwaggerHub Registry API
  • APIs
    • Retrieves a list of currently defined APIs in APIs.json format.
      GET
    • Retrieves an APIs.json listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an APIs.json listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes API's collaboration
      DELETE
    • Gets API's collaboration
      GET
    • Updates API's collaboration
      PUT
    • Deletes a particular version of the specified API
      DELETE
    • Retrieves the Swagger definition for the specified API and version
      GET
    • Returns comments for the specified API version
      GET
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
    • Retrieves a list of currently defined APIs and Domains in APIs.json format
      GET
  • Domains
    • Retrieves a list of currently defined domains in APIs.json format
      GET
    • Retrieves an APIs.json listing of all domains defined for this owner
      GET
    • Deletes the specified domain
      DELETE
    • Retrieves an APIs.json listing for all domain versions for this owner and domain
      GET
    • Saves the provided Swagger definition of a domain
      POST
    • Deletes a particular version of the specified domain
      DELETE
    • Retrieves the Swagger definition for the specified domain and version
      GET
    • Returns comments for the specified domain version
      GET
    • Retrieves the definition for the specified domain and version in JSON format
      GET
    • Retrieves the definition for the specified domain and version in YAML format
      GET
  • Schemas
    • Schemas
      • ApisJson
      • ApisJsonApi
      • ApisJsonProperty
      • ClosableComment
      • Collaboration
      • CollaborationHint
      • CollaborationMember
      • CollaborationMembership
      • CollaborationTeamMembership
      • Comment
      • Page
      • User
  1. APIs

Updates API's collaboration

PUT
/apis/{owner}/{api}/.collaboration

Request

Path Params

Body Params application/json

Examples

Responses

🟢200Successfully updated API collaboration
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.swaggerhub.com/apis///.collaboration' \
--header 'Content-Type: application/json' \
--data-raw '{
    "hint": {
        "type": "4595bf66-18b2-445a-a884-1b08d0c2df0e"
    },
    "members": [
        {
            "name": "string",
            "roles": [
                "EDIT"
            ]
        }
    ],
    "owners": [
        "string"
    ],
    "pendingMembers": [
        {
            "name": "string",
            "roles": [
                "EDIT"
            ]
        }
    ],
    "teams": [
        {
            "name": "string",
            "roles": [
                "EDIT"
            ],
            "members": [
                {
                    "name": "string"
                }
            ]
        }
    ]
}'
Response Response Example
{}
Modified at 2022-09-11 16:53:02
Previous
Gets API's collaboration
Next
Deletes a particular version of the specified API
Built with